Bug 182608 - incomplete power off using xen
incomplete power off using xen
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Juan Quintela
MassClosed
:
Depends On:
Blocks: FC5Target
  Show dependency treegraph
 
Reported: 2006-02-23 12:30 EST by Alexandre Oliva
Modified: 2008-01-19 23:36 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:36:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2006-02-23 12:30:01 EST
Description of problem:
My 3 old Athlon 1.4 boxes with Asus A7V133 MoBos have started failing to
poweroff in the past two days.  They'd power off fine with FC5T3, but after
installing 20060222 and 20060223 updates, always using the xen and kernel
available from the previous day's rawhide, the box wouldn't power off entirely.
 Although the leds on the case would switch off, the box kept on producing
noise, as some fan kept running.  I had to press the switch button for 5 seconds
to turn that off.

This problem does not happen if I boot into the non-xen kernel.

Version-Release number of selected component (if applicable):
xen-3.0.1-0.20060208.fc5.2
kernel-xen-hypervisor-2.6.15-1.1975_FC5.i686

How reproducible:
Every time

Steps to Reproduce:
1.Boot up into Xen
2.Run `poweroff´
  
Actual results:
The leds on the case say the box is powered off, but the fans keep running

Expected results:
What part of `power off' does it not understand? :-)

Additional info:
Comment 1 Alexandre Oliva 2006-02-23 12:51:25 EST
I've just realized that, before installing the 20060221 updates, I was *not*
running the Xen kernel.  I'd modified grub to boot into the non-Xen kernel, but
I had not modified /etc/sysconfig/kernel, so when I updated the kernel, it
switched to the Xen kernel by default.  So this was not quite a Xen regression,
just a regular Xen bug.
Comment 2 Bill Jones 2006-03-10 14:28:40 EST
This issue still exists with Hypervisor Kernel 1955 as well.
-Sx-
Comment 3 Leslie Satenstein 2006-03-11 08:58:37 EST
I have a ambios with amd semptron (32bit), 756meg memory. Everything appears to
power down as shown by the screen displays, but when a halt is givcn, the
message I have is POWER OFF. It is provided twice. And then..... time to hit the
button. 
Comment 4 LarryT 2006-03-12 01:10:17 EST
Have the same problem.
amd64 2.6. ddr 1.3go sata
Comment 5 LarryT 2006-03-12 01:16:51 EST
resolved with Hypervisor Kernel 2041 :)
Comment 6 LarryT 2006-03-12 01:24:46 EST
sorry : no Hypervisor Kernel 2041 !
i miss something :(
Comment 7 LarryT 2006-03-12 01:30:18 EST
last Hypervisor is Kernel 2009, and the problem is not solved !
Comment 8 Leslie Satenstein 2006-03-19 06:37:06 EST
Kernel 2041, both xen and non-xen manifest this problem. My System config is
listed in a preceding comment.

Comment 9 Stephen Tweedie 2006-03-20 10:09:13 EST
Regarding comment #8 (from Leslie Satenstein):

Any bugs that are reproducible on both the xen and non-xen kernels are not
xen-specific, and really need to be opened in a separate bug report.  The
problem in this report is specifically that the xen kernel does not power down
where the normal kernel does.

2054-xen0 still doesn't power-off for me; can anyone else reproduce this as
fixed in 2041 or later?
Comment 10 Alexandre Oliva 2006-03-28 02:04:47 EST
Not fixed for me with rawhide-20060327's xen and kernel-xen0.  It powers off
fine without Xen.
Comment 11 Dave Jones 2006-10-16 13:21:55 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 12 Jon Stanley 2008-01-19 23:36:45 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.